Package ch.qos.logback.classic.spi

## Class PackagingDataCalculator

- java.lang.Object
- - ch.qos.logback.classic.spi.PackagingDataCalculator

    public class PackagingDataCalculator
    extends java.lang.Object

Given a classname locate associated PackageInfo (jar name, version name).

Author:
  James Strachan

### Constructor Summary

Constructors
`PackagingDataCalculator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `calculate​(IThrowableProxy tp)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PackagingDataCalculator

    public PackagingDataCalculator()

### Method Detail

#### calculate

    public void calculate​(IThrowableProxy tp)